@version: 3.19
@include "scl.conf"

# This is a custom syslog-ng configuration file, based in
# https://github.com/syslog-ng/syslog-ng/blob/master/packaging/debian/syslog-ng.conf
#
# First, set some global options.
options {
    chain_hostnames(off);
    flush_lines(0);
    use_dns(no);
    use_fqdn(no);
    owner("root");
    group("adm");
    perm(0640);
    stats_freq(0);
    bad_hostname("^gconfd$");
    ts-format("iso");
    time_zone("UTC");
    mark-freq(0);
    frac-digits(3);
};

# common block end


# source default VRF
source s_src {
    unix-stream("/dev/uds_log"
        flags(syslog-protocol)
        keep-hostname(yes)
    );
};
# end source default VRF
# remote: hostnameIPv6
destination d_hostnameIPv6_udp { 
    syslog("dns6server" transport("udp") port(514) keep-alive(no)
        suppress(5)
        disk-buffer(
            mem-buf-size(2097152)
            disk-buf-size(4194304)
            reliable(yes)
            dir("/tmp")
        )
    );
};
filter f_remote_hostnameIPv6_udp {
    level(debug .. emerg);
};
log {
    source(s_src);
    filter(f_remote_hostnameIPv6_udp);
    destination(d_hostnameIPv6_udp);
};
# end of remote server: hostnameIPv6


